export default self;
declare const self: Chat;
declare class Chat {
    currentMessageList: any[];
    currentMessageMap: Map<any, any>;
    hasMore: boolean;
    messageLoading: boolean;
    alreadyKicked: boolean;
    msgIdsWillDelete: any[];
    isShowSelect: boolean;
    onReceiveMessage(messageList: any): void;
    msgUploadingList: {};
    get timeGroupByMessageList(): {
        keys: string[];
        groupedArr: import("lodash").Dictionary<any[]>;
    };
    clearMessage(chatId: any): Promise<void>;
    transformNewMessage(messageList: any, forceId?: string, init?: boolean): Promise<void> | undefined;
    loadConversationMessage(focusSessionId?: string): Promise<import("@newSdk/model/Message").Message<string>[]>;
    loadHistoryMessage(offset?: number, count?: number): Promise<void>;
    sliceMessageList(ultimateSize?: number): Promise<boolean>;
    insertTempNode(extra: any, extendsOptions?: {}): void;
    sendMessage(message: any, file: any): Promise<void>;
    updateLoadingProgressByMid(id: any, progress: any): void;
    toggleShowSelect(val: any): void;
    updateMsgIdsWillDelete(mid: any, checked: any): any[];
    resetMsgIdsWillDelete(): void;
    clearCache(): void;
    isGroupAlive(sessionId: any): Promise<void>;
    updateAlreadyKicked(alreadyKicked: any): Promise<void>;
    insertDraftDb(msg: {} | undefined, quote: any): Promise<void>;
}
